QIIME2LEFSE.PY(1)

NAME
qiime2lefse.py - determine features of organisms, clades, taxonomic units, genes

DESCRIPTION
usage: qiime2lefse.py [-h] [--in [INPUT_FILE]] [--md [METADATA_FILE]]

[--out [OUTPUT_FILE]] [-c class attribute]
    [-s subclass attribute] [-u subject attribute]

Script will convert QIIME TSV BIOM table for use with lefse. It is imperative that this table has taxa metadata associated with it named 'Consensus Lineage', this can be down with e.g. the follow biom convert script: ---- biom convert -i otu.biom -o otu.txt --to-tsv --header-key Taxonomy --outputmetadata-id 'Consensus Lineage'

  optional arguments:

-h, --help
    show this help message and exit

--in [INPUT_FILE]
    the Qiime OTU table file [ stdin if not present ]

--md [METADATA_FILE]
    the Qiime OTU table file [ only OTU table without metadata if not present ]

--out [OUTPUT_FILE]
    the output file [stdout if not present]

-c class attribute
    the attribute to use as class

-s subclass attribute
    the attribute to use as subclass

-u subject attribute
    the attribute to use as subject

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.